Skip to main content
GET
Get AI model config

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string
required

The project key

modelConfigKey
string
required

The AI model config key

Query Parameters

version
integer

Specific model config version to return. Omit to return the latest version.

Required range: x >= 0

Response

Successful response

name
string
required

Human-readable name of the model

Example:

"GPT Image 2"

key
string
required

Unique key for the model config in the project, in the format Provider.model-id. Use this value as modelConfigKey on a config variation.

Example:

"OpenAI.gpt-image-2"

id
string
required

Model ID that the provider's API uses. This is different from key. Use this value as modelName on a config variation.

Example:

"gpt-image-2"

global
boolean
required

Whether the model is in the LaunchDarkly global catalog. Global models are read-only. Model configs that you create are always custom, with global set to false.

tags
string[]
required

Tags for the model config. Tags can be used in custom role policies.

Example:
version
integer
required

Version of the model config. Starts at 1, and each update that changes the model config adds a new version.

Example:

2

isRestricted
boolean
required

Whether the model is on the project's restricted list. Config variations cannot select a restricted model. To change this, use the add or remove restricted models endpoints.

_access
object
Example:
_maintainer
object

The member or team that maintains this resource

Example:
icon
string

Icon for the model

Example:

"openai"

provider
string

Provider for the model. Matches the provider prefix of key.

Example:

"OpenAI"

params
object

Freeform JSON object. LaunchDarkly does not validate the keys. In a model config, params and customParams hold parameters that the provider's API accepts, for example {"temperature": 0.7, "maxTokens": 4096}.

customParams
object

Freeform JSON object. LaunchDarkly does not validate the keys. In a model config, params and customParams hold parameters that the provider's API accepts, for example {"temperature": 0.7, "maxTokens": 4096}.

costPerInputToken
number<double>

Cost per input token in USD

Example:

0.000005

costPerOutputToken
number<double>

Cost per output token in USD

Example:

0.00004

costPerCachedInputToken
number<double>

Cost per cached input token in USD

Example:

0.00000125

usedInCount
integer

Number of distinct AgentControl configs that reference this model